<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设置"
            android:textColor="@android:color/white"
            android:textSize="27sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5" />

        <LinearLayout
            android:id="@+id/back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="17dp"
            android:background="@drawable/shape_rect_round_5_solid"
            android:gravity="center_vertical"
            android:paddingStart="8dp"
            android:paddingTop="5dp"
            android:paddingEnd="12dp"
            android:paddingBottom="8dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.5">

            <ImageView
                android:layout_width="18dp"
                android:layout_height="16dp"
                android:contentDescription="@null"
                android:scaleType="centerCrop"
                android:src="@mipmap/icon_sys_return" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:text="返回"
                android:textColor="@android:color/white"
                android:textSize="10sp"
                tools:ignore="SmallSp" />

        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="20dp">

            <RelativeLayout
                android:id="@+id/versionInfoLayout"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@android:color/white"
                android:clickable="true"
                android:focusable="true">

                <TextView
                    android:id="@+id/androidIdLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:gravity="center_vertical"
                    android:text="设备唯一码"
                    android:textColor="#666666"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/androidId"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:layout_marginStart="13dp"
                    android:layout_marginEnd="13dp"
                    android:ellipsize="end"
                    android:gravity="center_vertical|end"
                    android:maxLines="1"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textIsSelectable="true"
                    android:textSize="14sp"
                    tools:text="NULL" />
            </RelativeLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="#DDDDDD" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@android:color/white"
                android:clickable="true"
                android:focusable="true">

                <TextView
                    android:id="@+id/versionNameLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginStart="20dp"
                    android:gravity="center_vertical"
                    android:text="版本号"
                    android:textColor="#666666"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/versionName"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_alignParentEnd="true"
                    android:layout_marginStart="13dp"
                    android:layout_marginEnd="13dp"
                    android:ellipsize="end"
                    android:gravity="center_vertical|end"
                    android:maxLines="1"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textIsSelectable="true"
                    android:textSize="14sp"
                    tools:text="NULL" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:drawableStart="@drawable/shape_blue_vertical_line"
                    android:drawablePadding="13dp"
                    android:gravity="center_vertical"
                    android:paddingStart="13dp"
                    android:paddingTop="13dp"
                    android:paddingEnd="13dp"
                    android:paddingBottom="13dp"
                    android:text="服务器配置"
                    android:textColor="#333333"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <EditText
                    android:id="@+id/curEnvInput"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white"
                    android:gravity="center_vertical"
                    android:hint="输入环境(格式: http://x.x.x.x:port/)"
                    android:imeOptions="actionDone"
                    android:maxLines="1"
                    android:paddingStart="20dp"
                    android:paddingEnd="20dp"
                    android:singleLine="true"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <EditText
                    android:id="@+id/curEnvSafetyInput"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white"
                    android:gravity="center_vertical"
                    android:hint="输入安全准入检测环境(格式: http://x.x.x.x:port/)"
                    android:imeOptions="actionDone"
                    android:maxLines="1"
                    android:paddingStart="20dp"
                    android:paddingEnd="20dp"
                    android:singleLine="true"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/curEnvLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="当前环境"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/curEnv"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/curEnvLabel"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="当前环境" />
                </RelativeLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/curSafetyEnvLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="安全准入检测环境"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/curSafetyEnv"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/curSafetyEnvLabel"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="安全准入检测环境" />
                </RelativeLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/apiVersionLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="Api版本"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/apiVersion"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/apiVersionLabel"
                        android:drawableEnd="@mipmap/ic_arrow_right"
                        android:drawablePadding="12dp"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="V1" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:drawableStart="@drawable/shape_blue_vertical_line"
                    android:drawablePadding="13dp"
                    android:gravity="center_vertical"
                    android:paddingStart="13dp"
                    android:paddingTop="13dp"
                    android:paddingEnd="13dp"
                    android:paddingBottom="13dp"
                    android:text="MQTT配置"
                    android:textColor="#333333"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <EditText
                    android:id="@+id/curMqttEnvInput"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white"
                    android:gravity="center_vertical"
                    android:hint="输入MQTT环境(格式: tcp://x.x.x.x:port/)"
                    android:imeOptions="actionDone"
                    android:maxLines="1"
                    android:paddingStart="20dp"
                    android:paddingEnd="20dp"
                    android:singleLine="true"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/curMqttNameInput"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        android:background="@android:color/white"
                        android:gravity="center_vertical"
                        android:hint="输入MQTT账号"
                        android:imeOptions="actionDone"
                        android:maxLines="1"
                        android:paddingStart="20dp"
                        android:paddingEnd="20dp"
                        android:singleLine="true"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="1px"
                        android:layout_height="match_parent"
                        android:background="#DDDDDD" />

                    <EditText
                        android:id="@+id/curMqttPwdInput"
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        android:background="@android:color/white"
                        android:gravity="center_vertical"
                        android:hint="输入MQTT密码"
                        android:imeOptions="actionDone"
                        android:maxLines="1"
                        android:paddingStart="20dp"
                        android:paddingEnd="20dp"
                        android:singleLine="true"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textSize="14sp" />

                </LinearLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="10dp"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/curMqttEnvLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="当前MQTT环境"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/curMqttEnv"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/curMqttEnvLabel"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="NULL" />
                </RelativeLayout>

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        android:background="@android:color/white">

                        <TextView
                            android:id="@+id/curMqttNameLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginStart="20dp"
                            android:gravity="center_vertical"
                            android:text="当前MQTT账号"
                            android:textColor="#666666"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/curMqttName"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="13dp"
                            android:layout_marginEnd="13dp"
                            android:layout_toEndOf="@id/curMqttNameLabel"
                            android:ellipsize="end"
                            android:enabled="true"
                            android:focusable="true"
                            android:gravity="center_vertical|end"
                            android:longClickable="true"
                            android:maxLines="1"
                            android:textColor="#333333"
                            android:textColorHint="#999999"
                            android:textIsSelectable="true"
                            android:textSize="14sp"
                            tools:text="NULL" />
                    </RelativeLayout>

                    <TextView
                        android:layout_width="1px"
                        android:layout_height="match_parent"
                        android:background="#DDDDDD" />

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="50dp"
                        android:layout_weight="1"
                        android:background="@android:color/white">

                        <TextView
                            android:id="@+id/curMqttPwdLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginStart="20dp"
                            android:gravity="center_vertical"
                            android:text="当前MQTT密码"
                            android:textColor="#666666"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/curMqttPwd"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="13dp"
                            android:layout_marginEnd="13dp"
                            android:layout_toEndOf="@id/curMqttPwdLabel"
                            android:ellipsize="end"
                            android:enabled="true"
                            android:focusable="true"
                            android:gravity="center_vertical|end"
                            android:longClickable="true"
                            android:maxLines="1"
                            android:textColor="#333333"
                            android:textColorHint="#999999"
                            android:textIsSelectable="true"
                            android:textSize="14sp"
                            tools:text="NULL" />
                    </RelativeLayout>

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@android:color/white"
                    android:drawableStart="@drawable/shape_blue_vertical_line"
                    android:drawablePadding="13dp"
                    android:gravity="center_vertical"
                    android:paddingStart="13dp"
                    android:paddingTop="13dp"
                    android:paddingEnd="13dp"
                    android:paddingBottom="13dp"
                    android:text="设备配置"
                    android:textColor="#333333"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/scanLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="读卡器"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/scan"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/scanLabel"
                        android:drawableEnd="@mipmap/ic_arrow_right"
                        android:drawablePadding="12dp"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="path /dev/ttyS3, baud rate 9600" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/curSettingPwdInput"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white"
                    android:gravity="center_vertical"
                    android:hint="输入工程模式密码"
                    android:imeOptions="actionDone"
                    android:maxLines="1"
                    android:paddingStart="20dp"
                    android:paddingEnd="20dp"
                    android:singleLine="true"
                    android:textColor="#333333"
                    android:textColorHint="#999999"
                    android:textSize="14sp" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="1px"
                    android:background="#DDDDDD" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@android:color/white">

                    <TextView
                        android:id="@+id/curSettingPwdLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="20dp"
                        android:gravity="center_vertical"
                        android:text="当前工程模式密码"
                        android:textColor="#666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/curSettingPwd"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="13dp"
                        android:layout_marginEnd="13dp"
                        android:layout_toEndOf="@id/curSettingPwdLabel"
                        android:ellipsize="end"
                        android:enabled="true"
                        android:focusable="true"
                        android:gravity="center_vertical|end"
                        android:longClickable="true"
                        android:maxLines="1"
                        android:textColor="#333333"
                        android:textColorHint="#999999"
                        android:textIsSelectable="true"
                        android:textSize="14sp"
                        tools:text="工程模式密码" />
                </RelativeLayout>

            </LinearLayout>

            <TextView
                android:id="@+id/confirm"
                android:layout_width="200dp"
                android:layout_height="45dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="20dp"
                android:background="@drawable/bg_leave_confirm"
                android:gravity="center"
                android:text="确定"
                android:textColor="@android:color/white"
                android:textSize="20sp" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

</LinearLayout>